MilterMacrosRequests
3
milter managerライブラリ

# MilterMacrosRequests

## Functions

MilterMacrosRequests * | milter_macros_requests_new ()
void | milter_macros_requests_set_symbols ()
void | milter_macros_requests_set_symbols_va_list ()
void | milter_macros_requests_set_symbols_string_array ()
GList * | milter_macros_requests_get_symbols ()
GHashTable * | milter_macros_requests_get_all_symbols ()
void | milter_macros_requests_merge ()
void | milter_macros_requests_foreach ()

## プロパティ

gpointer | symbols-table | Read / Write

## オブジェクト階層

        GObject
        ╰── MilterMacrosRequests

## 説明

## Functions

### milter_macros_requests_new ()

    MilterMacrosRequests *
    milter_macros_requests_new (void);

### milter_macros_requests_set_symbols ()

    void
    milter_macros_requests_set_symbols (MilterMacrosRequests *requests,
                                        MilterCommand command,
                                        const gchar *first_symbol,
                                        ...);

### milter_macros_requests_set_symbols_va_list ()

    void
    milter_macros_requests_set_symbols_va_list
                                   (MilterMacrosRequests *requests,
                                    MilterCommand command,
                                    const gchar *first_symbol,
                                    va_list args);

### milter_macros_requests_set_symbols_string_array ()

    void
    milter_macros_requests_set_symbols_string_array
                                   (MilterMacrosRequests *requests,
                                    MilterCommand command,
                                    const gchar **strings);

### milter_macros_requests_get_symbols ()

    GList *
    milter_macros_requests_get_symbols (MilterMacrosRequests *requests,
                                        MilterCommand command);

### milter_macros_requests_get_all_symbols ()

    GHashTable *
    milter_macros_requests_get_all_symbols
                                   (MilterMacrosRequests *requests);

### milter_macros_requests_merge ()

    void
    milter_macros_requests_merge (MilterMacrosRequests *dest,
                                  MilterMacrosRequests *src);

### milter_macros_requests_foreach ()

    void
    milter_macros_requests_foreach (MilterMacrosRequests *requests,
                                    GHFunc func,
                                    gpointer user_data);

## Types and Values

## プロパティ詳細

### The `“symbols-table”` property

      “symbols-table”            gpointer

The GHashTable stored macro requests symbols in.

Flags: Read / Write